/* 横幅模块 */
.smm-banner {
  position: relative;
  min-height: 500px;
  width: 100%;
  display: flex;
  justify-content: flex-end;
  align-items: center;
}
.smm-banner__background {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
}
.smm-banner__background img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.smm-banner__content {
  width: 90%;
  max-width: 1400px;
  margin: 0 auto;
  padding: 35px 0;
  box-sizing: border-box;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 60px;
}
.smm-banner__text {
  flex: 1;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.smm-banner__title {
  width: 100%;
  color: #ffffff;
  text-align: center;
}
.smm-banner__description {
  width: 100%;
  max-width: 940px;
  font-weight: 400;
  color: #ffffff;
  line-height: 30px;
  margin-top: 50px;
  text-align: center;
}

.smm-material {
  padding: 50px 0 70px;
  background: linear-gradient(90deg, #1b1b14 0%, #0a2f36 37%, #0a3635 100%);
  margin-bottom: 120px;
}
.smm-material__content {
  width: 90%;
  max-width: 1400px;
  margin: 0 auto;
}
.smm-material__wrap {
  width: 100%;
  display: flex;
  justify-content: center;
  gap: 30px;
  margin-top: 20px;
}
.smm-material__left {
  width: 40%;
  max-width: 350px;
  flex-shrink: 0;
  padding: 25px 0;
  box-sizing: border-box;
}
.smm-material__list {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.smm-material__item {
  width: 100%;
  background: #0a3436;
  border-radius: 30px;
  font-weight: 400;
  font-size: 20px;
  color: #ffffff;
  text-align: center;
  padding: 10px 20px;
  box-sizing: border-box;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  transition: all 0.2s ease-in-out;
}
.smm-material__item:hover,
.smm-material__item.is-active {
  background: #b0e501;
  color: #ffffff;
}
.smm-material__right {
  flex: 1;
}
.smm-material__right-item {
  width: 100%;
  display: none;
  align-items: flex-start;
  gap: 40px;
  transition: all 0.3s ease-in-out;
}
.smm-material__right-image {
  width: 515px;
  position: relative;
  flex-shrink: 0;
}
.smm-material__right-image:before {
  position: absolute;
  content: '';
  top: 15px;
  left: 15px;
  width: calc(100% - 15px);
  height: calc(100% - 5px);
  background: #b0e501;
  border-radius: 20px;
}
.smm-material__right-image img {
  width: 100%;
  max-width: 500px;
  height: auto;
  object-fit: contain;
  position: relative;
  z-index: 1;
}
.smm-material__right-text {
  flex: 1;
  margin-top: 60px;
}
.smm-material__right-item-title {
  font-weight: bold;
  color: #ffffff;
  text-align: left;
  margin-bottom: 35px;
}
.smm-material__right-item-desc {
  font-weight: 400;
  color: #ffffff;
  line-height: 30px;
}
.smm-material__right-item-aspect {
  font-weight: 500;
  font-size: 22px !important;
  color: #ffffff;
  margin-top: 25px;
  margin-bottom: 25px;
}
.smm-material__right-info {
  display: flex;
  flex-direction: column;
  gap: 15px;
  margin: 30px 0 0;
}
.smm-material__right-info-item {
  width: 100%;
  font-weight: 500;
  font-size: 20px;
  color: #ffffff;
  padding-left: 30px;
  box-sizing: border-box;
  position: relative;
}
.smm-material__right-info-item::before {
  position: absolute;
  content: '';
  left: 0px;
  top: 9px;
  width: 16px;
  height: 16px;
  background: #b0e501;
  border-radius: 50%;
}

@media screen and (max-width: 760px) {
  .smm-material {
    margin-bottom: 40px;
  }
  .smm-material__wrap {
    flex-direction: column;
  }
  .smm-material__left {
    width: 100%;
    max-width: 100%;
    padding: 0;
  }
  .smm-material__list {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    gap: 15px;
  }
  .smm-material__item {
    width: auto;
    flex-shrink: 0;
    background: #2c4445;
    font-size: 16px;
    padding: 8px 15px;
  }
  .smm-material__right-item {
    flex-direction: column;
  }
  .smm-material__right-image {
    width: 100%;
    max-width: 520px;
  }
  .smm-material__right-image:before {
    width: 100%;
    height: 100%;
    top: 10px;
    left: 10px;
  }
  .smm-material__right-text {
    margin-top: 0px;
  }
}

@media screen and (min-width: 760px) and (max-width: 1020px) {
  .smm-material {
    margin-bottom: 40px;
  }
  .smm-material__wrap {
    flex-direction: column;
  }
  .smm-material__left {
    width: 100%;
    max-width: 100%;
    padding: 0;
  }
  .smm-material__list {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
  }
  .smm-material__item {
    width: auto;
    flex-shrink: 0;
    background: #2c4445;
  }
  .smm-material__right-item {
    flex-direction: column;
  }
  .smm-material__right-text {
    margin-top: 0px;
  }
}

@media screen and (min-width: 1020px) and (max-width: 1350px) {
  .smm-material {
    margin-bottom: 40px;
  }
  .smm-material__wrap {
    flex-direction: column;
  }
  .smm-material__left {
    width: 100%;
    max-width: 100%;
    padding: 0;
  }
  .smm-material__list {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
  }
  .smm-material__item {
    width: auto;
    flex-shrink: 0;
    background: #2c4445;
  }
}

@media screen and (min-width: 1350px) and (max-width: 1600px) {
  .smm-material__wrap {
    flex-direction: column;
  }
  .smm-material__left {
    width: 100%;
    max-width: 100%;
    padding: 0;
  }
  .smm-material__list {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
  }
  .smm-material__item {
    width: auto;
    flex-shrink: 0;
    background: #2c4445;
  }
}
